Subject: Re: [PATCH v2] pager: remove 'S' from $LESS by default

From: Matthieu Moy <[email-masked]>
Date: Mon, 5 May 2014 22:10:54 +0200 (CEST)

----- Original Message -----
> Hi,
> 
> Matthieu Moy wrote:
> 
> > By default, Git used to set $LESS to -FRSX if $LESS was not set by the
> > user. The FRX flags actually make sense for Git (F and X because Git
> > sometimes pipes short output to less, and R because Git pipes colored
> > output). The S flag (chop long lines), on the other hand, is not related
> > to Git and is a matter of user preference. Git should not decide for the
> > user to change LESS's default.
> 
> Thanks!  Sounds like a very good change.
> 
> (Nit: instead of "because Git sometimes pipes short output to less",
> it would be clearer to say something like "when Git pipes short output
> to less it is nice to exit and let the user type their next command".)

It's actually a bit more than this: X to avoid initializing the terminal
and F for the exit behavior you describe.

But since the change is actually not about F and X, I prefered keeping
the text about them as short as possible, so I prefer my version actually.

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/